classification
Title: Fix signing description for Windows release builds
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2020-08-05 23:35 by steve.dower, last changed 2020-09-24 20:39 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21754 merged steve.dower, 2020-08-06 16:05
PR 21755 merged miss-islington, 2020-08-06 16:36
PR 21756 merged miss-islington, 2020-08-06 16:36
Messages (4)
msg374910 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-08-05 23:35
At some point, Windows started displaying an authenticated certificate property as the display name in UAC prompts, rather than the file properties.

Currently our SigningDescription is set to the build identifier, which is not a nice display name. We should change it to be "Python 3.x.y" (which will involve updating the build YAML files to extract the version number).
msg374945 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-08-06 16:36
New changeset 777b611c8c5676b80898a429f71d28e59bddc49d by Steve Dower in branch 'master':
bpo-41492: Fixes the description appearing in UAC prompts on Windows (GH-21754)
https://github.com/python/cpython/commit/777b611c8c5676b80898a429f71d28e59bddc49d
msg374947 - (view) Author: miss-islington (miss-islington) Date: 2020-08-06 16:53
New changeset 713ba03276c4ddc33c9debc51b03164ea18eead6 by Miss Islington (bot) in branch '3.8':
bpo-41492: Fixes the description appearing in UAC prompts on Windows (GH-21754)
https://github.com/python/cpython/commit/713ba03276c4ddc33c9debc51b03164ea18eead6
msg374948 - (view) Author: miss-islington (miss-islington) Date: 2020-08-06 16:54
New changeset 1437bb06a9cfbf7dd2d2aa14f6a784bb020bdb84 by Miss Islington (bot) in branch '3.9':
bpo-41492: Fixes the description appearing in UAC prompts on Windows (GH-21754)
https://github.com/python/cpython/commit/1437bb06a9cfbf7dd2d2aa14f6a784bb020bdb84
History
Date User Action Args
2020-09-24 20:39:03steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-08-06 16:54:56miss-islingtonsetmessages: + msg374948
2020-08-06 16:53:07miss-islingtonsetmessages: + msg374947
2020-08-06 16:36:55miss-islingtonsetpull_requests: + pull_request20901
2020-08-06 16:36:47miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request20900
2020-08-06 16:36:29steve.dowersetmessages: + msg374945
2020-08-06 16:05:12steve.dowersetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request20899
2020-08-05 23:35:01steve.dowercreate